com.fasterxml.jackson.dataformat.avro.deser

## Class ArrayReader

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext
    - - com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader
      - - com.fasterxml.jackson.dataformat.avro.deser.ArrayReader

- Direct Known Subclasses:
    StructDefaults.ArrayDefaults

      public abstract class ArrayReader
      extends AvroStructureReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `_count`
    `protected String` | `_currentName`
    `protected String` | `_elementTypeId`
    `protected AvroParserImpl` | `_parser`
    `protected int` | `_state`
    `protected static int` | `STATE_DONE`
    `protected static int` | `STATE_ELEMENTS`
    `protected static int` | `STATE_END`
    `protected static int` | `STATE_START`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader

      `_currToken`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_currentValue, _parent, _typeId`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ArrayReader(AvroReadContext parent, AvroParserImpl parser, String typeId, String elementTypeId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendDesc(StringBuilder sb)`
    `static ArrayReader` | `construct(AvroStructureReader reader, String typeId, String elementTypeId)`
    `static ArrayReader` | `construct(ScalarDecoder reader, String typeId, String elementTypeId)`
    `String` | `getCurrentName()`
    `long` | `getRemainingElements()`
    `String` | `getTypeId()`
    `String` | `nextFieldName()`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader

      `_throwUnsupported, consumesNoContent, getCurrentToken, newReader, nextToken, skipValue, throwIllegalState`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_reportError, getCurrentValue, getParent, setCurrentValue, toString`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getEntryCount, getStartLocation, getTypeDesc, hasCurrentIndex, hasCurrentName, hasPathSegment, inArray, inObject, inRoot, pathAsPointer, pathAsPointer, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATE_START

          protected static final int STATE_START

      See Also:
        Constant Field Values

    - #### STATE_ELEMENTS

          protected static final int STATE_ELEMENTS

      See Also:
        Constant Field Values

    - #### STATE_END

          protected static final int STATE_END

      See Also:
        Constant Field Values

    - #### STATE_DONE

          protected static final int STATE_DONE

      See Also:
        Constant Field Values

    - #### _parser

          protected final AvroParserImpl _parser

    - #### _elementTypeId

          protected final String _elementTypeId

    - #### _state

          protected int _state

    - #### _count

          protected long _count

    - #### _currentName

          protected String _currentName

  - ### Constructor Detail

    - #### ArrayReader

          protected ArrayReader(AvroReadContext parent,
                                AvroParserImpl parser,
                                String typeId,
                                String elementTypeId)

  - ### Method Detail

    - #### construct

          public static ArrayReader construct(ScalarDecoder reader,
                                              String typeId,
                                              String elementTypeId)

    - #### construct

          public static ArrayReader construct(AvroStructureReader reader,
                                              String typeId,
                                              String elementTypeId)

    - #### nextFieldName

          public String nextFieldName()
                               throws IOException

      Specified by:
        `nextFieldName` in class `AvroReadContext`
      Throws:
        `IOException`

    - #### getCurrentName

          public String getCurrentName()

      Overrides:
        `getCurrentName` in class `AvroReadContext`

    - #### appendDesc

          protected void appendDesc(StringBuilder sb)

      Specified by:
        `appendDesc` in class `AvroReadContext`

    - #### getRemainingElements

          public long getRemainingElements()

      Overrides:
        `getRemainingElements` in class `AvroReadContext`

    - #### getTypeId

          public String getTypeId()

      Overrides:
        `getTypeId` in class `AvroReadContext`

Copyright © 2019 FasterXML. All rights reserved.